function onTalk()
  disableMovement()
  makeUnskippable ()
  say("CC_Flamecrafter113_TemporalRift_Settings_MusicLoops")

    choiceDialog({
        {
            "CC_Flamecrafter113_TemporalRift_Settings_MusicLoops_OptionOff",
            onChosen = function ()
                setFlag("MusicAltLoop", false)
                closeChoiceDialog()
            end
        },
        {
            "CC_Flamecrafter113_TemporalRift_Settings_MusicLoops_OptionOn",
            onChosen = function ()
                setFlag("MusicAltLoop", true)
                closeChoiceDialog()
            end
        }
    })
end



function onEnd()
  enableMovement()
end